VERIFIED SOLUTION i

Confirm: MapXtreme prerequisite installation fails due to multiple failed installation of C++ 2012 redistributable


 

Issue

Despite having the required Microsoft Visual C++ 2012 Redistributable installed for the MapXtreme redistributable prerequisite to Confirm the installation will state that “Microsoft Visual C++ 2012 Redistributable needs to be installed for this installation to continue. The Microsoft Visual C++ 2012 Redistributable is provided as part of your Confirm Installation”.

Cause

The problem seems to arise sometimes when having later versions of Microsoft Visual C++ 2012 Redistributable already installed (note the exact version when looking at Programs and Features in the Control Panel) alongside the required version.

Resolution

UPDATED: September 18, 2017
To resolve the problem you will need to uninstall the versions that are newer than the version required by the MapXtreme redistributable prerequisite for the version of Confirm you are installing. After this is done you should be able to install the MapXtreme prerequisite.